﻿using System;
using System.Threading.Tasks;
using Windows.Devices.Enumeration;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            ListDevices().GetAwaiter().GetResult();
        }

        private static async Task ListDevices()
        {
            var devices = await DeviceInformation.FindAllAsync(DeviceClass.VideoCapture);

            foreach (var item in devices)
            {
                Console.WriteLine($"{item.Id}: {item.Name}");
            }
        }

    }
}
